<?php

return array
(
    'name' => '新闻表',
    # 自增数
    'auto' => 1,
    # 表类型 值为\innodb\myisam\，默认为innodb，仅在mysql类型有效
    'type' => 'innodb',
    # 默认排序
    'order' => 'sort asc',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '新闻标题',
            'type'      => 'varchar(32)',
        ),
        'desc' => array
        (
            'name'      => '新闻描述',
            'type'      => 'varchar(600)',
        ),
        'content' => array
        (
            'name'      => '新闻内容',
            'type'      => 'text',
        ),
        'view_num' => array
        (
            'name'      => '访问次数',
            'type'      => 'int(11)',
        ),
        'lock' => array
        (
            'name'      => '乐观锁',
            'type'      => 'int(11)',
        ),
        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '正常',
                2 => '下架',
            ),
        ),
        'sort' => array
        (
            'name'      => '排序',
            'type'      => 'int(11)',
            'default'   => '1',
        ),
    ),

    'index' => array
    (
        # 索引名 => 索引id 如果有后缀.unique,则为建立索引的类型，如id,cdate.unique
        'id' => 'id,cdate',
    ),

    # 建表时插入默认数据
    'default' => array
    (
        'field' => 'name,`desc`,cdate',
        'value' => array
        (
            '"测试","测试描述",' . DEVER_TIME,
        ),
        # 默认插入多少条
        'num' => 1,
    ),

    # 一般无需定义，这里定义是为了重复使用，做更好的封装
    'request' => array
    (
        'getAll' => array
        (
            'type' => 'select',
            'where' => array
            (
                'id1' => array('id', '='),
                'start' => array('cdate', '>='),
                'end' => array('cdate', '<='),
                'state' => array('cdate', '=', 1),
            ),
            'set' => array
            (
                'limit' => '0,10',
                'col' => '*',
                'group' => 'id',
                'order' => 'id desc',
            ),
        ),
        'updateNum' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 1,
            ),
            'data' => array
            (
                'desc' => '2222',
                'add' => array('view_num', '+', 1),
            ),
        ),
    )
);